<div class="ui centered header">Tous les Postes</div>
<br>
<div class="ui success message" *ngIf="deleted">
    Ce poste à été supprimée !
</div>
<div class="ui error message" *ngIf="error">
    Un erreur est survenue, impossible de récupérer les postes !
</div>

<div class="ui form">
    <div class="field">
        <label>Rechercher par nom de poste</label>
        <input type="text" placeholder="Nom de poste" (keyup)="searchPoste($event)">
    </div>
</div>

<div class="ui vertical segment" id="view-table">
    <table class="ui selectable striped table">
        <thead>
        <tr>
            <th>Nom poste</th>
            <th>Date de début</th>
            <th>Date de fin</th>
            <th>Localisation</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="no-content">
        <tr id="dummy-fill"></tr>
        <tr *ngIf="!(postes?.length && postes.length)">
            <td class="ui header center aligned" colspan="6">
                Pas de postes enregistrés encore !
            </td>
        </tr>
        </tbody>

        <tbody id="content">
        <ng-container *ngFor="let poste of this.postes">
            <tr>

                <td>
                    {{ poste.nom }}
                </td>
                <td>
                    {{ poste.dateDebut }}
                </td>
                <td>
                    {{ poste.dateFin }}
                </td>
                <td>
                    {{ poste.location }}
                </td>
                <td>
                    <div class="ui tiny green button" [routerLink]="'/admin/poste/edit/' + poste.id">
                        <i class="edit icon"></i>
                    </div>
                    <div class="ui tiny red button" (click)="deletePoste($event, poste.id)">
                        <i class="close icon"></i>
                    </div>
                </td>

            </tr>
        </ng-container>
        </tbody>
    </table>
</div>
